from pydantic import BaseModel


class CheckData(BaseModel):
    event_name: str
    is_unique: bool
    props: dict
    default_field: dict = dict()
    where: dict = dict()


class AddTemplate(BaseModel):
    check: CheckData
    title: str
